directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Wechner <michael.wech...@wyona.com>
Subject Problem installing apacheds trunk on Mac OS X using Maven 2.1.0
Date Fri, 26 Mar 2010 13:52:56 GMT
Hi

I have done a fresh checkout of

http://svn.apache.org/repos/asf/directory/apacheds/trunk-with-dependencies

Revision: 927810

on my Mac OS X Snow Leopard running Java 1.6

and tried to build this trunk version using  Maven 2.1.0, whereas when 
running mvn clean install, then I receive the following error message:

[INFO] Building Apache Directory Project
[INFO]    task-segment: [clean, install]
[INFO] 
------------------------------------------------------------------------
[INFO] 
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] 
------------------------------------------------------------------------
[INFO] Error resolving version for 
'org.apache.maven.plugins:maven-site-plugin': Plugin requires Maven 
version 2.1.0

or with the "-e" option:

[ERROR] BUILD ERROR
[INFO] 
------------------------------------------------------------------------
[INFO] Error resolving version for 
'org.apache.maven.plugins:maven-site-plugin': Plugin requires Maven 
version 2.1.0
[INFO] 
------------------------------------------------------------------------
[INFO] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Error resolving 
version for 'org.apache.maven.plugins:maven-site-plugin': Plugin 
requires Maven version 2.1.0
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(DefaultLifecycleExecutor.java:1283)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.bindPluginToLifecycle(DefaultLifecycleExecutor.java:1238)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.constructLifecycleMappings(DefaultLifecycleExecutor.java:1004)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:477)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:330)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:291)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:142)
    at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:336)
    at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:129)
    at org.apache.maven.cli.MavenCli.main(MavenCli.java:287)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
    at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
    at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
    at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: 
org.apache.maven.plugin.version.PluginVersionResolutionException: Error 
resolving version for 'org.apache.maven.plugins:maven-site-plugin': 
Plugin requires Maven version 2.1.0
    at 
org.apache.maven.plugin.DefaultPluginManager.checkRequiredMavenVersion(DefaultPluginManager.java:274)
    at 
org.apache.maven.plugin.DefaultPluginManager.verifyVersionedPlugin(DefaultPluginManager.java:197)
    at 
org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(DefaultPluginManager.java:176)
    at 
org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPlugin(DefaultLifecycleExecutor.java:1274)
    ... 17 more
[INFO] 
------------------------------------------------------------------------
[INFO] Total time: 5 seconds
[INFO] Finished at: Fri Mar 26 14:52:11 CET 2010
[INFO] Final Memory: 17M/79M

Any idea what I might do wrong?

Thanks

Michael

Mime
View raw message